package cn.superdesk.uniorder.dao.mapper.thirdpart.jd;

import cn.superdesk.uniorder.dao.entity.thirdpart.jd.AccountingUnifiedSupplierOrderJdCheckUpReportXGoods;
import cn.superdesk.uniorder.dao.entity.thirdpart.jd.AccountingUnifiedSupplierOrderJdCheckUpReportXGoodsExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AccountingUnifiedSupplierOrderJdCheckUpReportXGoodsMapper {
    long countByExample(AccountingUnifiedSupplierOrderJdCheckUpReportXGoodsExample example);

    int deleteByExample(AccountingUnifiedSupplierOrderJdCheckUpReportXGoodsExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AccountingUnifiedSupplierOrderJdCheckUpReportXGoods record);

    int insertSelective(AccountingUnifiedSupplierOrderJdCheckUpReportXGoods record);

    List<AccountingUnifiedSupplierOrderJdCheckUpReportXGoods> selectByExample(AccountingUnifiedSupplierOrderJdCheckUpReportXGoodsExample example);

    AccountingUnifiedSupplierOrderJdCheckUpReportXGoods selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AccountingUnifiedSupplierOrderJdCheckUpReportXGoods record, @Param("example") AccountingUnifiedSupplierOrderJdCheckUpReportXGoodsExample example);

    int updateByExample(@Param("record") AccountingUnifiedSupplierOrderJdCheckUpReportXGoods record, @Param("example") AccountingUnifiedSupplierOrderJdCheckUpReportXGoodsExample example);

    int updateByPrimaryKeySelective(AccountingUnifiedSupplierOrderJdCheckUpReportXGoods record);

    int updateByPrimaryKey(AccountingUnifiedSupplierOrderJdCheckUpReportXGoods record);
}